Include ( FindPackageHandleStandardArgs )
Macro ( FindLocalModule MODULE_NAME MODULE_PATH )
    If ( EXISTS ${MODULE_PATH} )
        Get_Property ( IS_INCLUDED GLOBAL PROPERTY __find_local_module_${MODULE_NAME} )
        If ( NOT IS_INCLUDED )
            Add_Subdirectory ( ${MODULE_PATH}/
                            ${CMAKE_BINARY_DIR}/subprojects/${MODULE_NAME}/ )
            Set_Property ( GLOBAL PROPERTY __find_local_module_${MODULE_NAME} TRUE )
        EndIf ( )
        Find_Package_Handle_Standard_Args ( ${MODULE_NAME}
                                            DEFAULT_MSG )
    EndIf ( )
EndMacro ( )
